IDEA错误:Error:Cannot determine path to ‘tools.jar‘ library for 16


本文主要介绍关于java的知识点,对【IDEA错误:Error:Cannot determine path to ‘tools.jar‘ library for 16】和【forgotten path】有兴趣的朋友可以看下由【卖女孩的小火柴คิดถึง】投稿的技术文章,希望该技术和经验能帮到你解决你所遇的相关技术问题。

forgotten path

这句话的意思是找不到16版本的‘tools.jar’文件,我到jdk的安装路径中去搜了一下确实没有这个文件。其实这是文件是sun公司在开发jdk时用的包,而,现在的JDK已经没有这个文件了,网上搜了这个错误,解决方法,都是换成jdk1.8????,感觉有些古老。

其实,你可以换一个ide软件,比如,VSC 等等,如果在VSC等一些软件中,运行jdk16没有问题,那就不是jdk的问题,而是IDEA的问题,查看IDEA是否支持jdk16版本,jdk16是新出的,需要idea是2021新版。

打开IDEA 点击右上角的file 再点击Project Structure 

之后点击第一个第一条,Project  查看Project language level 打开下拉条,查看你的IDEA能支持的JDK最高版本

如图所示,我的这个最高支持到14版本,所以使用JDK16是不可以的,可以下载14以下版本的JDK

在Project SDK 中选择你合适的jdk文件夹,并在Project language level中选择对应的版本号,

所以当使用jdk16时,Project language level中没有对应的16版本导致了出现这种错误

本文《IDEA错误:Error:Cannot determine path to ‘tools.jar‘ library for 16》版权归卖女孩的小火柴คิดถึง所有,引用IDEA错误:Error:Cannot determine path to ‘tools.jar‘ library for 16需遵循CC 4.0 BY-SA版权协议。


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
  © 2014-2022 ITdaan.com 联系我们: